/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef ERR_AND_WARN_H
#define ERR_AND_WARN_H

#include "text_win.h"

class err_and_warn
{
public:
	class err {};

	void e( const char *format, ... ); // error: write message in text window (red) and exit program
	void a( const char *format, ... ); // alert: write message in text window (red)
	void w( const char *format, ... ); // warning: write message in text window (yellow)
};

extern err_and_warn ew;

#endif
// Authors: Ben Denckla, Patrick Pelletier
