/*
** Copyright 1995-1996 by the Massachusetts Institute of Technology.  All
** rights reserved. For more information, see the file COPYING which came
** with this source distribution.
*/

#ifndef NOTEPAIRSCORE_H
#define NOTEPAIRSCORE_H

#include "NotePairScoreElement.h"
#include "UtilArray.h"
#include "ScoreCreationInfo.h"

typedef UtilArray<NotePairScoreElement> NotePairScoreElementArray;

class NotePairScore : public NotePairScoreElementArray {
	static int dual_purpose_thingy(const ScoreCreationInfo*, NotePairScoreElementArray*);
public:
	typedef UtilArray<MIDI_msg> MIDI_msgArray;
	typedef UtilPtr<MIDI_msgArray> MIDI_msgArrayPtr;
	typedef UtilArray<MIDI_msgArrayPtr> MIDI_msgArrayPtrArray;
	typedef UtilPtr<MIDI_msgArrayPtrArray> MIDI_msgArrayPtrArrayPtr;
	NotePairScore(const ScoreCreationInfo*);
//	~NotePairScore();
};

#endif

// Author: Patrick Pelletier
